use crate::{config::OllamaConfig, pkg::install_pkgs, run_command};

use super::str_vec;

pub fn setup_ollama(conf: &OllamaConfig) {
    if conf.gpu {
        install_pkgs(&["ollama-cuda"]);
    } else {
        install_pkgs(&["ollama"]);
    }

    run_command(
        &str_vec(vec![
            "arch-chroot",
            "/mnt",
            "systemctl",
            "enable",
            "ollama.service",
        ]),
        None,
        false,
    );

    for model in conf.models.clone().unwrap_or_default() {
        // TODO : Pull models
    }
}
